import { BusContext, BusMessage, BusSubscriber } from "../index";
import { callOnEventCallback } from "../../../types";
export declare class SDKCallbackBusSubscriber extends BusSubscriber {
    private _onEventCallback?;
    constructor(onEventCallback?: callOnEventCallback);
    actionNames(): string[];
    protected onEventCallback(message: BusMessage): void;
    onMessage(context: BusContext, message: BusMessage): void;
}
